/**
 * @file Problema6.cpp
 * @author Caleb Tomas Camargo Saavedra (caleb.camargo.s@uni.pe)
 * @brief exercise 6
 * @version 1.0
 * @date 02/03/2022
 * 
 */


/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include <conio.h>
using namespace std;
/*******************************************************************************************************************************************
 *  												GLOBAL VARIABLES
 *******************************************************************************************************************************************/
int seconds_input;
int minutes_input;
int hours_input;
int hours_output;

/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
void calculus();
void collect_Data();
void Show_results();
void Run();
/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
int main(){
Run();
}
/*******************************************************************************************************************************************
 *  												FUNCTION DEFINITION
 *******************************************************************************************************************************************/
void collect_Data(){
	cout<<"enter inital hours: ";
	cin>>hours_input;
    cout<<"enter inital minutes: ";
	cin>>minutes_input;
    cout<<"enter inital seconds: ";
	cin>>seconds_input;
}
void Show_results(){
	cout<<"The final hour is : " <<hours_output<<"h"<<"\n";	
}
void Run(){
	collect_Data();
	calculus();
	Show_results();
    getch();
}
void calculus(){
    if(seconds_input==59 && minutes_input==59){
        hours_output=hours_input++;
    }
    else{
        hours_output==hours_input;
    }
}
